Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Armature

This module provides access to Armature objects in Blender. These are "skeletons", used to deform and animate other objects -- meshes, for example.

Example:

     import Blender
     from Blender import Armature
     #
     armatures = Armature.Get()
     for a in armatures:
       print "Armature ", a
       print "- The root bones of %s: %s" % (a.name, a.getBones())

Classes |
`Armature` | This object gives access to Armature-specific data in Blender.
`Bone` | This object gives access to Bone-specific data in Blender.

Function Summary |
Blender Armature or a list of Blender Armatures | `Get(name)` Get the Armature object(s) from Blender.
Blender Armature | `New(name)` Create a new Armature object.

Function Details |

Get(name=None)

Get the Armature object(s) from Blender.

  Parameters:

    `name` - The name of the Armature.

    (type=string)

  Returns:

    It depends on the name parameter:

    - (name): The Armature object with the given name;

    - (): A list with all Armature objects in the current scene.

    (type=Blender Armature or a list of Blender Armatures)

New(name='ArmatureData')

Create a new Armature object.

  Parameters:

    `name` - The Armature name.

    (type=string)

  Returns:

    The created Armature object.

    (type=Blender Armature)

<<< Previous | Home | Next >>>
Module Armature | Up | Class Armature